/*!
  \example viewSerialIdSample.cpp

  \brief シリアル ID の取得サンプル

  \author Satofumi KAMIMURA

  $Id: viewSerialIdSample.cpp 778 2009-05-05 08:13:45Z satofumi $
*/

#include "mUrgCtrl.h"
#include "UrgUtils.h"
#include <SDL.h>

using namespace qrk;


int main(int argc, char *argv[])
{
  mUrgCtrl urg(argc, argv);
  if (! urg.connect("/dev/ttyACM0")) {
    printf("UrgCtrl::connect: %s\n", urg.what());
    exit(1);
  }

  printf("Serial ID: %ld\n", urgSerialId<mUrgCtrl>(&urg));

  return 0;
}
